/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.pv168.javadbdemo;

import java.sql.*;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author tomp
 */
public class JavaDBDemo {
    
    private static final Logger LOGGER = Logger.getLogger(JavaDBDemo.class.getName());

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws ClassNotFoundException {
        Connection conn = null;
        Statement st = null;
        try {
            Class.forName("org.apache.derby.jdbc.ClientDriver");

            String url = "jdbc:derby://localhost:1527/sample";
            conn = DriverManager.getConnection(url, "app", "app");

            st = conn.createStatement();

            boolean result = st.execute("SELECT * FROM CUSTOMER");

            if (result) {
                ResultSet resultSet = st.getResultSet();

                while (resultSet.next()) {
                    int id = resultSet.getInt("CUSTOMER_ID");
                    String name = resultSet.getString("NAME");
                    
                    System.out.println("ID="+id+" NAME="+name);
                }
            }
        } catch (SQLException ex) {
            LOGGER.log(Level.SEVERE, null, ex);

        } finally {
            try {
                if(st != null) {
                    st.close();
                }
                if (conn != null) {
                    conn.close();
                }
            } catch (SQLException e) {
                LOGGER.log(Level.WARNING, "Error when closing JDBC connection or statement", e);
            }
        }

    }
}
